RHINO(1)

NAME

rhino - invokes the JavaScript shell for running scripts in batch mode or interactive

SYNOPSIS

rhino [options] script_filename_or_url [script_arguments]

DESCRIPTION

This manual page documents briefly the rhino command. This manual page was written for the Debian distribution because the original program does not have a manual page. It is written according to the html documentation.

rhino is a start script for the rhino JavaScript shell which provides a simple way to run scripts in batch mode or an interactive environment for exploratory programming.

OPTIONS

-w  Enable warnings.

-version versionNumber
    Specifies the language version to compile with. The string versionNumber must be one of 100, 110, 120, 130, 140, 150, 160, 170, 180 or 200. See JavaScript Language Versions for more information on language versions.

-opt, -O optLevel
    Optimizes at level optLevel, which must be an integer between -1 and 9. -1 means Interpretive mode is always used. 0 means no optimizations whereas 9 means all optimizations are performed.

-f script_filename_or_url
    Reads script_filename_or_url content and execute it as a JavaScript script.

-e script_source
    Executes script_source as a JavaScript script.

-modules uri
    Add a single path or URL element to the CommonJS module search path. (implies -require)

-require
    Enable CommonJS module support.

-sandbox
    Enable CommonJS sandbox mode. (implies -require)

-debug
    Generate debug code.

-strict
    Enable strict mode.

-fatal-warnings
    Treat warnings as errors.

-encoding charset
    Use specified character encoding as default when reading scripts.

PREDEFINED PROPERTIES

Scripts executing in the shell have access to some additional properties of the top-level object.

arguments
    The arguments object is an array containing the strings of all the arguments given at the command line when the shell was invoked.

help()
    Executing the help function will print usage and help messages.

defineClass(className)
    Define an extension using the Java class named with the string argument className. Uses ScriptableObject.defineClass() to define the extension.

deserialize(filename)
    Restore from the specified file an object previously written by a call to serialize.

load([filename,...])
    Load JavaScript source files named by string arguments. If multiple arguments are given, each file is read in and executed in turn.

loadClass(className)
    Load and execute the class named by the string argument className. The class must be a class that implements the Script interface, as will any script compiled by jsc.

print([expr...])
    Evaluate and print expressions. Evaluates each expression, converts the result to a string, and prints it.

readFile(path[,characterCoding])
    Read given file and convert its bytes to a string using the specified character coding or default character coding if explicit coding argument is not given.

readUrl(url[,characterCoding])
    Open an input connection to the given string url, read all its bytes and convert them to a string using the specified character coding or default character coding if explicit coding argument is not given.

runCommand(commandName,[arg,...][options])
    Execute the specified command with the given argument and options as a separate process and return the exit status of the process. For details, see JavaDoc for org.mozilla.javascript.tools.shell.Global#runCommand.

serialize(object,filename)
    Serialize the given object to the specified file.

spawn(functionOrScript)
    Run the given function or script in a different thread.

sync(function)
    creates a synchronized function (in the sense of a Java synchronized method) from an existing function. The new function synchronizes on the this object of its invocation.

quit()
    Quit shell. The shell will also quit in interactive mode if an end-of-file character is typed at the prompt.

version([number])
    Get or set JavaScript version number. If no argument is supplied, the current version number is returned. If an argument is supplied, it is expected to be one of 100, 110, 120, 130, or 140 to indicate JavaScript version 1.0, 1.1, 1.2, 1.3, or 1.4 respectively.

SEE ALSO

The online documentation under https://developer.mozilla.org/en-US/docs/Mozilla/Projects/Rhino/Shell

AUTHOR

This manual page was written by Wolfgang Baer <WBaer@gmx.de>, for the Debian project (but may be used by others).